<?php
/**
 * The template to display default site header
 *
 * @package HYGIA
 * @since HYGIA 1.0
 */

$hygia_header_css   = '';
$hygia_header_image = get_header_image();
$hygia_header_video = hygia_get_header_video();
if ( ! empty( $hygia_header_image ) && hygia_trx_addons_featured_image_override( is_singular() || hygia_storage_isset( 'blog_archive' ) || is_category() ) ) {
	$hygia_header_image = hygia_get_current_mode_image( $hygia_header_image );
}

?><header class="top_panel top_panel_default
	<?php
	echo ! empty( $hygia_header_image ) || ! empty( $hygia_header_video ) ? ' with_bg_image' : ' without_bg_image';
	if ( '' != $hygia_header_video ) {
		echo ' with_bg_video';
	}
	if ( '' != $hygia_header_image ) {
		echo ' ' . esc_attr( hygia_add_inline_css_class( 'background-image: url(' . esc_url( $hygia_header_image ) . ');' ) );
	}
	if ( is_single() && has_post_thumbnail() ) {
		echo ' with_featured_image';
	}
	if ( hygia_is_on( hygia_get_theme_option( 'header_fullheight' ) ) ) {
		echo ' header_fullheight hygia-full-height';
	}
	$hygia_header_scheme = hygia_get_theme_option( 'header_scheme' );
	if ( ! empty( $hygia_header_scheme ) && ! hygia_is_inherit( $hygia_header_scheme  ) ) {
		echo ' scheme_' . esc_attr( $hygia_header_scheme );
	}
	?>
">
	<?php

	// Background video
	if ( ! empty( $hygia_header_video ) ) {
		get_template_part( apply_filters( 'hygia_filter_get_template_part', 'templates/header-video' ) );
	}

	// Main menu
	get_template_part( apply_filters( 'hygia_filter_get_template_part', 'templates/header-navi' ) );

	// Mobile header
	if ( hygia_is_on( hygia_get_theme_option( 'header_mobile_enabled' ) ) ) {
		get_template_part( apply_filters( 'hygia_filter_get_template_part', 'templates/header-mobile' ) );
	}

	// Page title and breadcrumbs area
	if ( ! is_single() ) {
		get_template_part( apply_filters( 'hygia_filter_get_template_part', 'templates/header-title' ) );
	}

	// Header widgets area
	get_template_part( apply_filters( 'hygia_filter_get_template_part', 'templates/header-widgets' ) );
	?>
</header>
